#include "Wildling.h"

namespace assets
{
	std::map<std::string, Wildling*> Wildling::list;

	void Wildling::load(gge::resource::DataArray &dataArray)
	{
		int index = 0;

		ID						 = dataArray.getString(index++);
		XPReward.base			 = dataArray.getFloat(index++);
		XPReward.increment		 = dataArray.getFloat(index++);
		HP.base					 = dataArray.getFloat(index++);
		HP.increment			 = dataArray.getFloat(index++);
		armor.base				 = dataArray.getFloat(index++);
		armor.increment			 = dataArray.getFloat(index++);
		damage.base				 = dataArray.getFloat(index++);
		damage.increment		 = dataArray.getFloat(index++);
		attackCooldown.base		 = dataArray.getFloat(index++);
		attackCooldown.increment = dataArray.getFloat(index++);
		blockCooldown.base		 = dataArray.getFloat(index++);
		blockCooldown.increment	 = dataArray.getFloat(index++);
		attack.base				 = dataArray.getFloat(index++);
		attack.increment		 = dataArray.getFloat(index++);
		dodgeChance.base		 = dataArray.getFloat(index++);
		dodgeChance.increment	 = dataArray.getFloat(index++);
		parryChance.base		 = dataArray.getFloat(index++);
		parryChance.increment	 = dataArray.getFloat(index++);
		blockChance.base		 = dataArray.getFloat(index++);
		blockChance.increment	 = dataArray.getFloat(index++);
		range.base				 = dataArray.getFloat(index++);
		range.increment			 = dataArray.getFloat(index++);
		overshootRange.base		 = dataArray.getFloat(index++);
		overshootRange.increment = dataArray.getFloat(index++);
		arrowSpeed				 = dataArray.getFloat(index++);
		movementSpeed.base		 = dataArray.getFloat(index++);
		movementSpeed.increment  = dataArray.getFloat(index++);
	}
}
